Back to search

ACDSee XPM File Section Buffer Overflow

This module exploits a buffer overflow in ACDSee 9.0. When viewing a malicious XPM file with the ACDSee product, a remote attacker could overflow a buffer and execute arbitrary code.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/windows/fileformat/acdsee_xpm

Authors

  • MC <mc [at] metasploit.com>

References

Targets

  • ACDSee 9.0 (Build 1008)

Platforms

  • windows

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/windows/fileformat/acdsee_xpm msf exploit(acdsee_xpm) > show targets ...targets... msf exploit(acdsee_xpm) > set TARGET <target-id> msf exploit(acdsee_xpm) > show options ...show and set options... msf exploit(acdsee_xpm) > exploit